#ifndef __GLOBALSETTINGS_H__
#define __GLOBALSETTINGS_H__

#include <QObject>
#include <QJsonObject>
#include <QVariant>

class GlobalSettings : public QObject
{
    Q_OBJECT

public:
    explicit GlobalSettings(QObject *parent = nullptr);
    ~GlobalSettings();

    QVariant value(const QString &group, const QString &key);
    void setValue(const QString &group, const QString &key, const QVariant &value);

private:
    QJsonObject m_globalSettings;

};

#endif  // GLOBALSETTINGS_H